aboutsummaryrefslogtreecommitdiff
path: root/bin/9c
diff options
context:
space:
mode:
authorrsc <devnull@localhost>2003-11-23 18:29:08 +0000
committerrsc <devnull@localhost>2003-11-23 18:29:08 +0000
commitdbd7b9a97eede27e707a279114305d7591d371fc (patch)
tree90e45fcce18ff109010d61f2d4fccb7d840302c4 /bin/9c
parent97a5e5f2dd40eff09cb650c91c21f680b6d4206a (diff)
downloadplan9port-dbd7b9a97eede27e707a279114305d7591d371fc.tar.gz
plan9port-dbd7b9a97eede27e707a279114305d7591d371fc.tar.bz2
plan9port-dbd7b9a97eede27e707a279114305d7591d371fc.zip
various shell script fixes.
add 9a, 9c, 9l wrapper scripts. label sets label on xterm/9term
Diffstat (limited to 'bin/9c')
-rwxr-xr-xbin/9c33
1 files changed, 33 insertions, 0 deletions
diff --git a/bin/9c b/bin/9c
new file mode 100755
index 00000000..dc9cc3d8
--- /dev/null
+++ b/bin/9c
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+usegcc()
+{
+ cc=gcc
+ cflags=" \
+ -O2 \
+ -I$PLAN9/include \
+ -c \
+ -ggdb \
+ -Wall \
+ -Wno-parentheses \
+ -Wno-missing-braces \
+ -Wno-switch \
+ "
+}
+
+cc=none
+tag="`uname`-`uname -m`-${CC:-cc}"
+case "$tag" in
+*BSD*) usegcc ;;
+*Darwin*) usegcc ;;
+*HP-UX*) cc=cc; cflags="-g -O -c -Ae" ;;
+*Linux*) usegcc ;;
+*OSF1*) cc=cc; cflags="-g -O -c" ;;
+*SunOS*-cc) cc=cc; cflags="-g -O -c -xCC -D__sun__" ;;
+*SunOS*-gcc) usegcc ;;
+*)
+ echo 9c does not know how to compile on "$tag" 1>&2
+ exit 1
+esac
+
+exec cc $cflags "$@"